# $Revision: 1.20 $, $Date: 2012/03/28 07:23:48 $
Summary:	Python wrapper for Pigment library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki Pigment
Name:		python-pigment
Version:	0.3.12
Release:	8
License:	LGPL v2+
Group:		Libraries/Python
Source0:	http://elisa.fluendo.com/static/download/pigment/pigment-python-%{version}.tar.gz
# Source0-md5:	dd42ce291be4d37d9a933c9e3cd71590
URL:		http://www.fluendo.com/elisa/
BuildRequires:	pigment-devel >= 0.3.17
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-pygobject-devel >= 2.8.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	pigment >= 0.3.14
Requires:	python-pygobject >= 2.8.0
Obsoletes:	pigment-python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains a wrapper that allows Pigment applications to be
written in Python.

%description -l pl.UTF-8
Ten moduł zawiera interfejs pozwalający na pisanie w Pythonie
aplikacji wykorzystujących bibliotekę Pigment.

%prep
%setup -q -n pigment-python-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	examplesdir=%{_examplesdir}/%{name}-%{version} \
	picturesdir=%{_examplesdir}/%{name}-%{version}/pictures

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.la
%py_postclean $RPM_BUILD_ROOT%{_datadir}/pigment-python/2.0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE TODO
%attr(755,root,root) %{py_sitedir}/_pgmmodule.so
%attr(755,root,root) %{py_sitedir}/_pgmgtkmodule.so
%attr(755,root,root) %{py_sitedir}/_pgmimagingmodule.so
%{py_sitescriptdir}/pgm
%{_datadir}/pigment-python
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pigment.spec,v $
Revision 1.20  2012/03/28 07:23:48  arekm
- release 8

Revision 1.19  2012/02/12 08:12:41  arekm
- release 7

Revision 1.18  2012/02/07 22:06:35  arekm
- release 6

Revision 1.17  2011/12/20 19:35:27  arekm
- release 5

Revision 1.16  2010/07/09 10:53:34  arekm
- release 4

Revision 1.15  2010/07/08 08:26:30  arekm
- release 3

Revision 1.14  2010/03/27 09:21:13  pluto
- release 2 (rebuild with libpng14)

Revision 1.13  2009/10/13 22:57:04  emes
- up to 0.3.12

Revision 1.12  2009/03/14 15:54:10  duddits
- up to 0.3.10
- BR: pigment-devel >= 0.3.14
- R: pigment >= 0.3.14

Revision 1.11  2008/12/17 13:04:16  luzik
- rel.2, STBR

Revision 1.10  2008/11/21 09:46:42  luzik
- updated to 0.3.9

Revision 1.9  2008/10/28 20:37:00  blues
- rel.3

Revision 1.8  2008/10/03 17:55:26  arekm
- release 2

Revision 1.7  2008/09/30 12:33:22  luzik
- updated to 0.3.8, STBR

Revision 1.6  2008/08/22 22:28:42  qboosh
- License is LGPL (v2+)
- more packaging fixes, updated deps

Revision 1.5  2008/08/22 22:13:52  qboosh
- renamed to python-pigment, pl, packaging fixes

Revision 1.4  2008/08/22 20:05:13  blues
- rel.1

Revision 1.3  2008/08/22 19:59:03  blues
- 0.3.5

Revision 1.2  2008/08/13 18:37:39  emes
- fixed BReqs

Revision 1.1  2008/05/02 18:47:40  luzik
- initial PLD release
